﻿using System;
using System.Net;
using System.Windows;
using System.Windows.Controls;
using System.Windows.Documents;
using System.Windows.Ink;
using System.Windows.Input;
using System.Windows.Media;
using System.Windows.Media.Animation;
using System.Windows.Shapes;
using Telerik.Windows.Controls;

namespace TileViewWithFluidContentControl
{
	public class TileViewModel : ViewModelBase
	{
		private TileViewItemState state;

		public string Header { get; set; }
		public string SmallContent { get; set; }
		public string NormalContent { get; set; }
		public string LargeContent { get; set; }

		public TileViewItemState State
		{
			get
			{
				return this.state;
			}
			set
			{
				if (this.state != value)
				{
					this.state = value;
					OnPropertyChanged("State");
				}
			}
		}
	}
}
